<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
  <h3 class="font-medium my-3 col-6">Juegos para el paciente: </h3>
    <div class="my-3 col-6 d-flex justify-content-end">
    <select  [(ngModel)]="pacienteId" class="form-select form-select-sm" 
    aria-label=".form-select-sm example"  (change)="verHabilitado()"  >
           <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
            {{ paciente.nombre }} {{ paciente.apellido }}
          </option>
      </select>
      </div>
  </div>

  
 <!-- Row -->
 <div class="row">
 
     <div class="col-lg-4 col-md-6" *ngFor="let juego of juegos">
 
      <div class="card">
        <img
          class="card-img-top img-responsive"
          src="assets/images/juegos/{{juego.foto}}.jpg"
          alt="Card image cap"
        />
        <div class="card-body">
          <h4 class="card-title">{{juego.nombre}}</h4>
          <p class="card-text" style="          font-size: 0.9em;      ">
            {{juego.descripcion}}
          </p>
          <p>
            
            <span   *ngFor="let habilitado of juegosHabilitados">
              <span *ngIf="habilitado.idUsuario == pacienteId && habilitado.idJuego==juego.id;">
                
                <div *ngIf="habilitado.nivel=='no'; then thenBlock else elseBlock"></div>
                <ng-template #thenBlock>    
                  <div class="alert alert-danger" role="alert">
                  No cuenta con permisos para poder jugar.     
                         </div> 
                 </ng-template>


                <ng-template #elseBlock> 
                  <div class="alert alert-success" role="alert">
                         
                          
             Habilitado para jugar en el nivel:   <strong> {{habilitado.nivel}} </strong> 
              </div>
              </ng-template>


                </span>
            </span>
            
            <a href="juegos/administrar/{{juego.id}}/{{pacienteId}}"
            class="btn btn-primary">Cambiar</a> 
          </p>


         
      
          
          </div>





   
   
       
                 
                 
                 
                    </div>
    </div>


    </div>